package com.msl;

import org.javatuples.Pair;

import java.util.List;

/**
 * @author wanglq
 * Date 2024/8/7
 * Time 14:06
 */
public abstract class NormalUpdater implements FileUpdater {
    /**
     * 更新文件上下文
     *
     * @param context 文件上下文
     */
    @Override
    public void update(FileContext context) {
        String content = context.getContent();
        for (Pair<String, String> pair : replaceList()) {
            content = content.replace(pair.getValue0(), pair.getValue1());
        }
        context.setContent(content);
    }

    protected abstract List<Pair<String, String>> replaceList();
}
