package com.msl.java;

import com.msl.FileContext;
import com.msl.FileUpdater;

/**
 * @author wanglq
 * Date 2024/8/7
 * Time 14:26
 */
public interface FeignUpdater extends FileUpdater {
    /**
     * 能否更新文件
     *
     * @param context 文件上下文
     * @return 能否更新
     */
    @Override
    default boolean canApply(FileContext context) {
        return context.getFileName().endsWith("Feign.java")
                && context.getFile().getParent().endsWith("feign");
    }
}
